itpp::Weibull_RNG Class Reference
Base Module » Random Number Generation

Weibull distribution. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| Weibull_RNG (double lambda=1.0, double beta=1.0)
| Constructor. Set lambda and beta.
void | setup (double lambda, double beta)
| Set lambda, and beta.
void | get_setup (double &lambda, double &beta)
| Get lambda and beta.
double | operator() ()
| Get one sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Weibull distribution.

Definition at line 705 of file random.h.

## Constructor & Destructor Documentation

## Weibull_RNG()

itpp::Weibull_RNG::Weibull_RNG | ( | double | lambda = `1.0`,
|  | double | beta = `1.0`
| ) |  |

Constructor. Set lambda and beta.

Definition at line 825 of file random.cpp.

References setup().

## Member Function Documentation

## setup()

void itpp::Weibull_RNG::setup | ( | double | lambda,
|  | double | beta
| ) |  |

Set lambda, and beta.

Definition at line 830 of file random.cpp.

Referenced by Weibull_RNG().

## get_setup()

void itpp::Weibull_RNG::get_setup | ( | double & | lambda,
|  | double & | beta
| ) |  |

inline

Get lambda and beta.

Definition at line 713 of file random.h.

## operator()() [1/3]

double itpp::Weibull_RNG::operator() | ( |  | ) |

inline

Get one sample.

Definition at line 715 of file random.h.

## operator()() [2/3]

vec itpp::Weibull_RNG::operator() | ( | int | n | ) |

Get a sample vector.

Definition at line 839 of file random.cpp.

## operator()() [3/3]

mat itpp::Weibull_RNG::operator() | ( | int | h,
|  | int | w
| ) |  |

Get a sample matrix.

Definition at line 849 of file random.cpp.

The documentation for this class was generated from the following files:

- itpp/base/random.h
- itpp/base/random.cpp

Generated on Mon Jun 10 2024 11:49:41 for IT++ by Doxygen 1.9.8